#ifndef __EGAMEMESSAGETYPE__H__
#define __EGAMEMESSAGETYPE__H__

#include <cstdint>

enum class eGameMessageType : uint16_t {
    GET_POSITION = 0,
    GET_ROTATION = 1,
    GET_LINEAR_VELOCITY = 2,
    GET_ANGULAR_VELOCITY = 3,
    GET_FORWARD_VELOCITY = 4,
    GET_PLAYER_FORWARD = 5,
    GET_FORWARD_VECTOR = 6,
    SET_POSITION = 7,
    SET_LOCAL_POSITION = 8,
    SET_ROTATION = 9,
    SET_LINEAR_VELOCITY = 10,
    MODIFY_LINEAR_VELOCITY = 11,
    SET_ANGULAR_VELOCITY = 12,
    MODIFY_ANGULAR_VELOCITY = 13,
    DEFLECT = 14,
    SEND_POSITION_UPDATE = 15,
    SET_OBJECT_SCALE = 16,
    GET_OBJECT_SCALE = 17,
    TIMED_SCALE_FINISHED = 18,
    TELEPORT = 19,
    TOGGLE_PLAYER_FWD_TO_CAMERA = 20,
    LOCK_PLAYER_ROT_TO_CAMERA = 21,
    UNLOCK_PLAYER_ROT_FROM_CAMERA = 22,
    TOGGLE_PLAYER_ROT_LOCK_TO_MOUSE = 23,
    LOCK_PLAYER_ROT_TO_MOUSE = 24,
    UNLOCK_PLAYER_ROT_FROM_MOUSE = 25,
    SET_PLAYER_CONTROL_SCHEME = 26,
    GET_PLAYER_CONTROL_SCHEME = 27,
    RESET_PLAYER_CONTROL_SCHEME = 28,
    PLAYER_TO_PREVIOUS_CONTROL_SCHEME = 29,
    DROP_CLIENT_LOOT = 30,
    GET_SPEED = 34,
    GET_ROT_SPEED = 35,
    IS_DEAD = 36,
    DIE = 37,
    REQUEST_DIE = 38,
    ADD_OBJECT = 39,
    PLAY_EMOTE = 41,
    PRELOAD_ANIMATION = 42,
    PLAY_ANIMATION = 43,
    ANIMATION_COMPLETE = 44,
    ENABLE_HIGHLIGHT = 45,
    DISABLE_HIGHLIGHT = 46,
    GET_ANIMATION_NAMES = 47,
    CONTROL_BEHAVIORS = 48,
    BLEND_PRIMARY_ANIMATION = 52,
    SET_OFFSCREEN_ANIMATION = 53,
    GET_MOVEMENT_INPUT_VALUES = 54,
    SWAP_TEXTURE = 55,
    SWAP_COLOR = 56,
    ATTACH_HAIR = 57,
    GET_ENTITY_STRUCT = 58,
    SET_ENTITY_STRUCT = 59,
    SET_ATTR = 60,
    GET_ATTR = 61,
    ON_HIT = 62,
    HIT_OR_HEAL_RESULT = 63,
    SHOW_ATTACK = 64,
    GO_TO = 65,
    GET_CONFIG_DATA = 66,
    SET_CONFIG_DATA = 68,
    GET_INVENTORY_EXTRA_INFO = 69,
    GET_DISPLAY_NAME = 70,
    GET_NAME = 71,
    SET_NAME = 72,
    IS_NAME_LOCALIZED = 73,
    GET_HAIR_COLOR = 74,
    SET_HAIR_COLOR = 75,
    GET_HAIR_STYLE = 76,
    SET_HAIR_STYLE = 77,
    GET_HEAD = 78,
    SET_HEAD = 79,
    GET_TORSO = 80,
    SET_TORSO = 81,
    GET_LEGS = 82,
    SET_LEGS = 83,
    SET_PROXIMITY_RADIUS = 84,
    PROXIMITY_UPDATE = 85,
    GET_PROXIMITY_OBJECTS = 86,
    UNSET_PROXIMITY_RADIUS = 87,
    CLEAR_PROXIMITY_RADIUS = 88,
    GET_PROXIMITY_DATA = 89,
    SET_PROXIMITY_RADIUS_ICON = 90,
    TOGGLE_TAC_ARC = 93,
    CAST_SKILL = 95,
    CAST_LOCAL_SKILL = 96,
    ECHO_LOCAL_SKILL = 97,
    QUEUE_AI_SKILL = 98,
    ADD_THREAT_RATING = 99,
    GET_THREAT_RATING = 100,
    CLEAR_THREAT_LIST = 103,
    GET_TIME_FOR_NPC_SKILL = 111,
    ENEMY_HEAL_NOTIFICATION = 112,
    RESET_SCRIPTED_AI_STATE = 113,
    ENABLE_COMBAT_AI_COMPONENT = 114,
    COMBAT_AI_FORCE_TETHER = 115,
    SUSPEND_MOVEMENT_AI = 116,
    NOTIFY_SCRIPT_VARS_INITIALIZED = 117,
    ECHO_START_SKILL = 118,
    START_SKILL = 119,
    CASTER_DEAD = 120,
    VERIFY_ACK = 121,
    ADD_PENDING_VERIFY = 122,
    MAP_SKILL = 123,
    SELECT_SKILL = 124,
    CAST_ACTIVE_SKILL = 125,
    MODIFY_SKILL_COOLDOWN = 126,
    ADD_SKILL = 127,
    REMOVE_SKILL = 128,
    LOG = 129,
    LOG_CHAT = 130,
    SET_MAX_CURRENCY = 131,
    GET_MAX_CURRENCY = 132,
    SET_CURRENCY = 133,
    GET_CURRENCY = 134,
    ADD_PENDING_CURRENCY = 136,
    PICKUP_CURRENCY = 137,
    SERVER_DELETE_LOOT_ITEM = 138,
    PICKUP_ITEM = 139,
    TEAM_PICKUP_ITEM = 140,
    CLIENT_DELETE_LOOT_ITEM = 141,
    CLIENT_SET_LOOT_ITEM_FFA = 143,
    COLLISION_PHANTOM = 144,
    OFF_COLLISION_PHANTOM = 145,
    COLLISION_PROXIMITY = 146,
    OFF_COLLISION_PROXIMITY = 147,
    COLLISION = 148,
    OFF_COLLISION = 149,
    GET_SKILLS = 150,
    CLEAR_FX_SINGLE_EFFECT = 152,
    GET_FX_EXIST_EFFECT = 153,
    PLAY_FX_EFFECT = 154,
    STOP_FX_EFFECT = 155,
    CLEAR_FX_ALL_CREATE_EFFECTS = 156,
    UPDATE_FX_ALL_CREATE_EFFECTS = 157,
    REQUEST_RESURRECT = 159,
    RESURRECT = 160,
    UPDATE_FROM_GHOST = 162,
    FETCH_GHOST = 163,
    KFM_LOADED = 164,
    NIF_LOADED = 165,
    HKX_LOADED = 166,
    MOVE_TO_DELETE_QUEUE = 167,
    RESTORE_FROM_DELETE_QUEUE = 168,
    IS_ENEMY = 169,
    GET_FACTION = 170,
    SET_IMAGINATION = 171,
    GET_IMAGINATION = 172,
    SET_MAX_IMAGINATION = 173,
    GET_MAX_IMAGINATION = 174,
    MODIFY_IMAGINATION = 175,
    MODIFY_MAX_IMAGINATION = 176,
    SET_HEALTH = 177,
    GET_HEALTH = 178,
    SET_MAX_HEALTH = 179,
    GET_MAX_HEALTH = 180,
    MODIFY_HEALTH = 181,
    MODIFY_MAX_HEALTH = 182,
    SET_ARMOR = 183,
    GET_ARMOR = 184,
    SET_MAX_ARMOR = 185,
    GET_MAX_ARMOR = 186,
    MODIFY_ARMOR = 187,
    MODIFY_MAX_ARMOR = 188,
    POP_HEALTH_STATE = 190,
    PUSH_EQUIPPED_ITEMS_STATE = 191,
    POP_EQUIPPED_ITEMS_STATE = 192,
    SET_GM_LEVEL = 193,
    GET_GM_LEVEL = 194,
    ADD_STATUS_EFFECT = 196,
    REMOVE_STATUS_EFFECT = 197,
    SET_STUNNED = 198,
    GET_STUNNED = 199,
    SET_STUN_IMMUNITY = 200,
    GET_STUN_IMMUNITY = 201,
    KNOCKBACK = 202,
    SET_VISIBLE = 203,
    GET_VISIBLE = 204,
    REPORT_ITEM_INFO = 205,
    GET_REBUILD_STATE = 207,
    REBUILD_CANCEL = 209,
    REBUILD_START = 211,
    ENABLE_REBUILD = 213,
    SKILL_FAILURE = 214,
    IS_ATTACK_STANCE = 216,
    SET_OBJECT_RENDER = 217,
    REQUEST_MAPPED_SKILLS = 218,
    UI_SELECT_MAPPED_SKILL = 219,
    GET_INVENTORY_ITEM_IN_SLOT = 220,
    GET_FIRST_INVENTORY_ITEM_BY_LOT = 221,
    GET_SMALLEST_INVENTORY_STACK_BY_LOT = 222,
    MOVE_ITEM_IN_INVENTORY = 224,
    ADD_ITEM_TO_INVENTORY_CLIENT_SYNC = 227,
    GET_EQUIPPED_ITEMS = 229,
    REMOVE_ITEM_FROM_INVENTORY = 230,
    EQUIP_INVENTORY = 231,
    UN_EQUIP_INVENTORY = 233,
    EQUIP_ITEM = 234,
    UN_EQUIP_ITEM = 235,
    IS_ITEM_RESPOND = 236,
    IS_ITEM_EQUIPPED = 237,
    ATTACH_ITEM = 238,
    DETACH_ITEM = 239,
    GET_NODE = 240,
    GET_LOT = 241,
    IS_ITEM_EQUIPPABLE = 242,
    GET_CURRENT_ANIMATION = 243,
    GET_INV_ITEM_COUNT = 244,
    POST_LOAD_EQUIP = 245,
    SET_PHYSICS_ACTIVE_STATE = 246,
    GET_CURRENT_SKILL_TAC_ARC = 247,
    OFFER_MISSION = 248,
    RESPOND_TO_MISSION = 249,
    GET_MISSION_STATE = 250,
    GET_MISSION_COMPLETE_TIMESTAMP = 251,
    NOTIFY_MISSION = 254,
    NOTIFY_MISSION_TASK = 255,
    ARE_GFX_LOADED = 257,
    ADDED_TO_WORLD = 258,
    REMOVE_EXTRA_GFX_FROM_PIPE = 259,
    HIDE_EQUIPED_WEAPON = 260,
    UN_HIDE_EQUIPED_WEAPON = 261,
    GET_ITEM_SLOT = 262,
    IS_CHARACTER = 263,
    SET_IMMUNITY = 264,
    TOGGLE_TOOLTIPS = 266,
    GET_TOOLTIPS_DISABLED = 267,
    GET_BOUNDING_INFO = 268,
    OVERRIDE_BOUNDING_RADIUS = 269,
    GET_OFFSCREEN = 270,
    USE_STATE_MACHINE = 271,
    ADD_STATE = 272,
    ADD_SUB_STATE = 273,
    SET_STATE = 274,
    SET_SUB_STATE = 275,
    ADD_MESSAGE = 276,
    RELOAD_SCRIPT = 277,
    RELOAD_ALL_SCRIPTS = 278,
    FRIEND_INVITE_MSG = 279,
    ADD_FRIEND_REPOSNSE_MSG = 280,
    REMOVE_FRIEND_RESPONSE_MSG = 281,
    ADD_FRIEND_FROM_UI_MSG = 282,
    GET_CACHED_FRIENDS_LIST_MSG = 283,
    REQUEST_NEW_FRIENDS_LIST_MSG = 284,
    REPOPULATE_FRIENDS_LIST_MSG = 285,
    ADD_IGNORE_REPONSE_MSG = 286,
    REMOVE_IGNORE_RESPONSE_MSG = 287,
    ADD_IGNORE_FROM_UI_MSG = 288,
    GET_CACHED_IGNORE_LIST_MSG = 289,
    REQUEST_NEW_IGNORE_LIST_MSG = 290,
    REMOVE_FRIEND_BY_NAME = 291,
    REMOVE_IGNORE_BY_NAME = 292,
    IS_PLAYER_IN_IGNORE_LIST_MSG = 293,
    REPOPULATE_IGNORE_LIST_MSG = 294,
    GET_INVENTORY_LIST = 295,
    UPDATE_FRIEND_MSG = 296,
    UPDATE_FRIEND_NAME_MSG = 297,
    UPDATE_IGNORE_NAME_MSG = 298,
    DEPARTED = 299,
    ARRIVED = 300,
    TEMPLATE_CHANGE_WAYPOINTS = 301,
    CANCELLED = 302,
    FLUSH_CACHED_GRAPHICS = 303,
    FOLLOW_TARGET = 304,
    TIMER_DONE = 305,
    TIMER_CANCELLED = 306,
    SET_TETHER_POINT = 307,
    GET_TETHER_POINT = 308,
    LEFT_TETHER_RADIUS = 309,
    GET_SCRIPT_VARS_PTR = 310,
    FACE_TARGET = 311,
    ROTATE_BY_DEGREES = 312,
    STRING_RENDERED = 313,
    RESET_PRIMARY_ANIMATION = 314,
    FACE_PLAY_STREAM = 315,
    TORSO_PLAY_STREAM = 316,
    CAN_PICKUP = 317,
    GET_INVENTORY_SIZE = 318,
    GET_INVENTORY_COUNT = 319,
    GET_OBJECTS_IN_GROUP = 320,
    HIDE_ITEM = 321,
    IS_OBJECT_IN_FOV = 322,
    GET_TYPE = 323,
    TEAM_INVITE_MSG = 324,
    TEAM_GET_SIZE = 325,
    TEAM_REQUEST_SET_LOOT = 326,
    TEAM_REMOVE_PLAYER_MSG = 327,
    TEAM_UPDATE_PLAYER_NAME_MSG = 328,
    SET_UPDATABLE = 329,
    REQUEST_TEAM_UI_UPDATE = 330,
    SET_COLLISION_GROUP = 331,
    GET_COLLISION_GROUP = 332,
    GET_ORIGINAL_COLLISION_GROUP = 333,
    SET_COLLISION_GROUP_TO_ORIGINAL = 334,
    GET_OBJECT_RADIUS = 335,
    REBUILD_NOTIFY_STATE = 336,
    GET_PLAYER_INTERACTION = 337,
    SET_PLAYER_INTERACTION = 338,
    FORCE_PLAYER_TO_INTERACT = 339,
    GET_SELECTED_POTENTIAL_INTERACTION = 340,
    SET_SELECTED_POTENTIAL_INTERACTION = 341,
    GET_INTERACTION_DISTANCE = 342,
    SET_INTERACTION_DISTANCE = 343,
    CALCULATE_INTERACTION_DISTANCE = 344,
    INTERACTION_ATTEMPT_FROM_OUT_OF_RANGE = 345,
    SET_PICKING_TARGET = 346,
    CLIENT_UNUSE = 347,
    BEGIN_PET_INTERACTION = 348,
    WANTS_INTERACTION_ICON = 349,
    PROPERTY_EDIT_ICON_INTERACTION = 350,
    PROPERTY_MODEL_INTERACTION = 351,
    GET_INTERACTION_DETAILS = 352,
    GET_DISABLED_INTERACTION_TYPES = 353,
    GET_INTERACTION_INFO = 354,
    INTERACTION_GAME_STATE_CHANGE = 355,
    TOGGLE_INTERACTION_UPDATES = 356,
    TERMINATE_INTERACTION = 357,
    SERVER_TERMINATE_INTERACTION = 358,
    GET_PLAYERS_TARGET_FOR_SELECTION = 359,
    PROCESS_INTERACTION_UNDER_CURSOR = 360,
    HANDLE_INTERACT_ACTION = 361,
    ATTEMPT_INTERACTION = 362,
    HANDLE_INTERACTION_CAMERA = 363,
    REQUEST_USE = 364,
    CLIENT_USE = 366,
    GET_PLAYER_MULTI_INTERACTION = 367,
    GET_MULTI_INTERACTION_STATE = 368,
    VENDOR_OPEN_WINDOW = 369,
    VENDOR_CLOSE_WINDOW = 370,
    EMOTE_PLAYED = 371,
    EMOTE_RECEIVED = 372,
    BUY_FROM_VENDOR = 373,
    SELL_TO_VENDOR = 374,
    ADD_DONATION_ITEM = 375,
    REMOVE_DONATION_ITEM = 376,
    CONFIRM_DONATION_ON_PLAYER = 378,
    CANCEL_DONATION_ON_PLAYER = 379,
    TEAM_GET_LEADER = 380,
    TEAM_GET_ON_WORLD_MEMBERS = 381,
    TEAM_GET_ALL_MEMBERS = 382,
    TEAM_SET_OFF_WORLD_FLAG = 383,
    SET_TRANSPARENCY = 385,
    GET_PREFERS_FADE = 386,
    PROJECTILE_IMPACT = 387,
    SET_PROJECTILE_PARAMS = 388,
    SET_INVENTORY_SIZE = 389,
    ACKNOWLEDGE_POSSESSION = 391,
    SET_POSSESSED_OBJECT = 392,
    CHANGE_POSSESSOR = 393,
    GET_POSSESSION_TYPE = 395,
    GET_POSSESSED_OBJECT = 396,
    GET_POSSESSOR = 397,
    IS_POSSESSED = 398,
    ENABLE_ACTIVITY = 399,
    SET_SHOOTING_GALLERY_PARAMS = 400,
    OPEN_ACTIVITY_START_DIALOG = 401,
    REQUEST_ACTIVITY_START_STOP = 402,
    REQUEST_ACTIVITY_ENTER = 403,
    REQUEST_ACTIVITY_EXIT = 404,
    ACTIVITY_ENTER = 405,
    ACTIVITY_EXIT = 406,
    ACTIVITY_START = 407,
    ACTIVITY_STOP = 408,
    SHOOTING_GALLERY_CLIENT_AIM_UPDATE = 409,
    ROTATE_TO_POINT = 410,
    SHOOTING_GALLERY_FIRE = 411,
    CALCULATE_FIRING_PARAMETERS = 412,
    GET_MUZZLE_OFFSET = 413,
    GET_ACTIVITY_POINTS = 414,
    TEAM_IS_ON_WORLD_MEMBER = 415,
    REQUEST_VENDOR_STATUS_UPDATE = 416,
    VENDOR_STATUS_UPDATE = 417,
    CANCEL_MISSION = 418,
    RESET_MISSIONS = 419,
    RENDER_COMPONENT_READY = 420,
    SEND_MINIFIG_DECALS = 421,
    PHYSICS_COMPONENT_READY = 422,
    ENTER_STANDBY_MODE = 423,
    LEAVE_STANDBY_MODE = 424,
    NOTIFY_CLIENT_SHOOTING_GALLERY_SCORE = 425,
    REQUEST_CONSUME_ITEM = 426,
    CONSUME_CLIENT_ITEM = 427,
    CLIENT_ITEM_CONSUMED = 428,
    QUERY_STANDBY_MODE = 429,
    GET_NI_BOUND = 430,
    MISSION_FAILURE = 431,
    GET_ANIMATION_TIME = 432,
    GET_CURRENT_ACTIVITY = 434,
    SET_EYEBROWS = 435,
    GET_EYEBROWS = 436,
    SET_EYES = 437,
    GET_EYES = 438,
    SET_MOUTH = 439,
    GET_MOUTH = 440,
    IS_OBJECT_SMASHABLE = 441,
    SMASHABLE_STATE_CHANGED = 443,
    USE_STATE_LOGGER = 444,
    ROTATE_SUB_NODE = 445,
    GET_SUB_NODE_POSITION = 446,
    GET_SUB_NODE = 447,
    UPDATE_SHOOTING_GALLERY_ROTATION = 448,
    RENDER_FLOATING_TEXT = 449,
    REQUEST2_D_TEXT_ELEMENT = 450,
    UPDATE2_D_TEXT_ELEMENT = 451,
    REMOVE2_D_TEXT_ELEMENT = 452,
    SET_COLOR = 453,
    GET_COLOR = 454,
    HKX_CHARACTER_LOADED = 455,
    ACTIVATE_PHYSICS = 457,
    SET_ICON_ABOVE_HEAD = 458,
    ADD_ICON_COMPOSITE = 459,
    CLEAR_ICON_COMPOSITES = 460,
    ICON_NIF_LOADED = 461,
    ICON_KFM_LOADED = 462,
    GET_OVERHEAD_ICON_PROPERTIES_FROM_PARENT = 463,
    BOUNCE_PLAYER = 464,
    SET_USER_CTRL_COMP_PAUSE = 466,
    HAS_COLLIDED = 467,
    GET_TOOLTIP_FLAG = 468,
    SET_TOOLTIP_FLAG = 469,
    GET_FLAG = 470,
    SET_FLAG = 471,
    NOTIFY_CLIENT_FLAG_CHANGE = 472,
    CURSOR_ON = 473,
    CURSOR_OFF = 474,
    HELP = 475,
    VENDOR_TRANSACTION_RESULT = 476,
    PERFORM_SPECIAL_DEATH = 477,
    GET_SHADER_ID = 478,
    GET_RENDER_ENVIRONMENT = 479,
    FINISHED_LOADING_SCENE = 480,
    GET_SKILL_INFO = 481,
    ACTIVITY_CANCEL = 482,
    MISSION_USES_OBJECT = 483,
    GET_POSITIONAL_ID = 484,
    SET_COLLECTIBLE_STATUS = 485,
    HAS_BEEN_COLLECTED = 486,
    HAS_BEEN_COLLECTED_BY_CLIENT = 487,
    GET_POS_UPDATE_STATS = 488,
    GET_NUM_VIEWERS_SCOPING_THIS = 489,
    GET_ACTIVITY_USER = 490,
    GET_ALL_ACTIVITY_USERS = 491,
    GET_MISSION_FOR_PLAYER = 492,
    SET_FACTION = 493,
    SET_PLATFORM_IDLE_STATE = 494,
    DISPLAY_CHAT_BUBBLE = 495,
    REQUEST_CHAT_BUBBLE_ELEMENT = 496,
    GET_MISSION_DATA = 497,
    SPAWN_PET = 498,
    DESPAWN_PET = 499,
    SET_LOCAL_SPACE_STATE = 500,
    GET_LOCAL_SPACE_STATE = 501,
    SET_POSITION_TO_LOCAL_POSITION = 502,
    ALLOW_LOCAL_SPACE_UPDATE = 503,
    TOGGLE_FREE_CAM_MODE = 504,
    PLAYER_LOADED = 505,
    PLAYER_ADDED_TO_WORLD_LOCAL = 506,
    OBJECT_LOADED = 507,
    GET_PLAYER_READY = 508,
    PLAYER_READY = 509,
    SET_SMASHABLE_PARAMS = 510,
    IS_LOOTABLE_CHEST = 511,
    LOOT_OPEN_WINDOW = 512,
    LOOT_SELECTION_UPDATE = 513,
    TAKE_LOOT_CHEST_ITEM = 514,
    REQUEST_LINKED_MISSION = 515,
    TRANSFER_TO_ZONE = 516,
    TRANSFER_TO_ZONE_CHECKED_IM = 517,
    SECURED_TRANSFER_TO_ZONE = 518,
    INVALID_ZONE_TRANSFER_LIST = 519,
    MISSION_DIALOGUE_OK = 520,
    GET_OBJECT_IN_SCOPE = 521,
    SET_LAUNCHED_STATE = 522,
    P_CREATE_EFFECT_FINISHED = 523,
    SMASHED_OBJECT = 524,
    CHECK_SMASHCHAIN_OVERRIDE = 525,
    DISPLAY_REBUILD_ACTIVATOR = 526,
    TRANSFER_TO_LAST_NON_INSTANCE = 527,
    SET_ACTIVE_LOCAL_CHARACTER_ID = 528,
    DISPLAY_MESSAGE_BOX = 529,
    MESSAGE_BOX_RESPOND = 530,
    CHOICE_BOX_RESPOND = 531,
    SERVER_SET_USER_CTRL_COMP_PAUSE = 532,
    SET_CHARACTER_AUTO_RUN = 533,
    FOLLOW_WAYPOINTS = 534,
    SWAP_DECAL_AND_COLOR = 535,
    CONTINUE_WAYPOINTS = 536,
    SMASH = 537,
    UN_SMASH = 538,
    GET_IS_SMASHED = 539,
    GET_UP_VECTOR = 540,
    SET_GRAVITY_SCALE = 541,
    SET_GRAVITY_SCALE_FOR_RIGID_BODY = 542,
    STOP_MOVING = 543,
    SET_PATHING_SPEED = 544,
    SET_SHIELDED = 545,
    SET_SHOOTING_GALLERY_RETICULE_EFFECT = 546,
    PLACE_MODEL_RESPONSE = 547,
    SET_DODGE_INFO = 548,
    GET_DODGE_INFO = 549,
    SET_SKILL_ATTACK_SPEED = 550,
    GET_SKILL_COOLDOWN_GROUP = 551,
    GET_INITIAL_SKILL_COOLDOWN = 552,
    GET_SKILL_COOLDOWN_REMAINING = 553,
    GET_GLOBAL_COOLDOWN = 554,
    SET_GLOBAL_COOLDOWN = 555,
    RESET_GLOBAL_COOLDOWN = 556,
    FINDINVENTORY_ITEM = 558,
    PATH_STUCK = 559,
    SET_CURRENT_PATH = 560,
    SET_JET_PACK_MODE = 561,
    SET_JET_PACK_TIME = 562,
    PET_FOLLOW_OWNER = 563,
    PLAYER_DIED = 564,
    REGISTER_PET_ID = 565,
    REGISTER_PET_DBID = 566,
    GET_PET_ID = 567,
    SHOW_ACTIVITY_COUNTDOWN = 568,
    DISPLAY_TOOLTIP = 569,
    SET_PHANTOM_BASE = 570,
    GET_MOTION_STATE = 571,
    GET_MOTION_CONFIG = 572,
    SET_ACTIVE_PROJECTILE_SKILL = 573,
    INITIALIZE_MISSION_VISUALS = 574,
    GET_MISSIONS = 575,
    START_ACTIVITY_TIME = 576,
    ADD_ACTIVITY_TIME = 577,
    GUILD_GET_SIZE = 578,
    GUILD_CAN_WE_INVITE = 579,
    GUILD_CAN_WE_KICK = 580,
    SET_CHAR_GUILD_INFO = 581,
    GET_CHAR_GUILD_INFO = 582,
    GET_CHAR_IS_IN_GUILD = 583,
    RE_RENDER_NAME_BILLBOARD = 584,
    IS_IN_LOCAL_CHAR_PROXIMITY = 585,
    GUILD_SET_STATUS = 586,
    GUILD_ADD_PLAYER = 587,
    GUILD_REMOVE_PLAYER = 588,
    GUILD_UPDATE_PLAYER_NAME = 589,
    GUILD_SET_PLAYER_RANK = 590,
    GUILD_SET_ONLINE_STATUS = 591,
    GUILD_INVITE = 592,
    REQUEST_GUILD_DATA = 593,
    POPULATE_GUILD_DATA = 594,
    GET_CACHED_GUILD_DATA = 595,
    GUILD_RENDER_NAME = 596,
    GET_IS_SUPPORTED = 600,
    CHARACTER_SUPPORT_CHANGED = 601,
    ACTIVITY_PAUSE = 602,
    USE_NON_EQUIPMENT_ITEM = 603,
    REQUEST_USE_ITEM_ON = 604,
    REQUEST_USE_ITEM_ON_TARGET = 605,
    USE_ITEM_ON = 606,
    USE_ITEM_RESULT = 607,
    GET_PARENT_OBJ = 608,
    SET_PARENT_OBJ = 609,
    GET_UPDATES_WITH_PARENT_POSITION = 610,
    PARENT_REMOVED = 611,
    PARENT_LEFT_SCOPE = 612,
    PARENT_ENTERED_SCOPE = 613,
    CHILD_LOADED = 614,
    CHILD_REMOVED = 615,
    CHILD_DETACHED = 616,
    CHILD_ENTERED_SCOPE = 617,
    CHILD_LEFT_SCOPE = 618,
    GET_CHILD_OBJECTS = 619,
    ZONE_TRANSFER_FINISHED = 621,
    CHAT_CONNECTION_UPDATE = 622,
    PLATFORM_AT_LAST_WAYPOINT = 623,
    LOOT_TAKE_ALL = 624,
    GET_EQUIPPED_ITEM_INFO = 625,
    DISPLAY_GUILD_CREATE_BOX = 626,
    GET_EDITOR_LEVEL = 627,
    GET_ACCOUNT_ID = 628,
    GET_LAST_LOGOUT = 629,
    GET_LAST_PROP_MOD_DISPLAY_TIME = 630,
    SET_LAST_PROP_MOD_DISPLAY_TIME = 631,
    SHOW_ACTIVITY_SUMMARY = 632,
    CAN_RECEIVE_ALL_REWARDS = 633,
    GET_ACTIVITY_REWARD = 634,
    LOOT_CLOSE_WINDOW = 635,
    GET_BLUEPRINT_ID = 636,
    NOTIFY_BLUEPRINT_UPDATE = 637,
    FETCH_MODEL_METADATA_REQUEST = 638,
    FETCH_MODEL_METADATA_RESPONSE = 639,
    COMMAND_PET = 640,
    PET_RESPONSE = 641,
    GET_ICON_ABOVE_HEAD_STATE = 642,
    GET_ICON_ABOVE_HEAD = 643,
    ICON_FINISHED_LOADING = 644,
    ADD_PET_STATE = 645,
    REMOVE_PET_STATE = 646,
    SET_PET_STATE = 647,
    REQUEST_ACTIVITY_SUMMARY_LEADERBOARD_DATA = 648,
    SEND_ACTIVITY_SUMMARY_LEADERBOARD_DATA = 649,
    SET_ON_TEAM = 650,
    GET_PET_HAS_STATE = 651,
    FIND_PROPERTY = 652,
    SET_PET_MOVEMENT_STATE = 653,
    GET_ITEM_TYPE = 654,
    GET_ITEM_INFO_KEY = 655,
    NOTIFY_OBJECT = 656,
    IS_PET_WILD = 657,
    CLIENT_NOTIFY_PET = 659,
    NOTIFY_PET = 660,
    NOTIFY_PET_TAMING_MINIGAME = 661,
    START_SERVER_PET_MINIGAME_TIMER = 662,
    CLIENT_EXIT_TAMING_MINIGAME = 663,
    GET_BUILDMODE_ACTIVE = 664,
    GET_PET_TAMING_MINIGAME_ACTIVE = 665,
    PET_TAMING_OBJECT_PICKED = 666,
    PET_TAMING_MINIGAME_RESULT = 667,
    PET_TAMING_TRY_BUILD_RESULT = 668,
    SET_PET_TAMING_MODEL = 669,
    GET_PET_TAMING_MODEL = 670,
    PET_ON_SWITCH = 671,
    PET_OFF_SWITCH = 672,
    NOTIFY_TAMING_BUILD_SUCCESS = 673,
    NOTIFY_TAMING_MODEL_LOADED_ON_SERVER = 674,
    NOTIFY_TAMING_PUZZLE_SELECTED = 675,
    GET_INSTRUCTION_COUNT = 676,
    GET_IS_NPC = 677,
    ACTIVATE_BUBBLE_BUFF = 678,
    DECTIVATE_BUBBLE_BUFF = 679, // thanks netdevil
    EXHIBIT_VOTE = 680,
    ADD_PET_TO_PLAYER = 681,
    REMOVE_PET_FROM_PLAYER = 682,
    REQUEST_SET_PET_NAME = 683,
    SET_PET_NAME = 684,
    PET_NAME_CHANGED = 686,
    GET_PET_AT_INDEX = 687,
    GET_LOT_FOR_PET_BY_DBID = 688,
    GET_NAME_FOR_PET_BY_DBID = 689,
    GET_ACTIVE_PET_OBJ_ID = 690,
    GET_ACTIVE_PET_INVENTORY_OBJ_ID = 691,
    SHOW_PET_ACTION_BUTTON = 692,
    SET_EMOTE_LOCK_STATE = 693,
    GET_EMOTE_LOCK_STATE = 694,
    LEAVE_TEAM_MSG = 695,
    TEAM_KICK_PLAYER_MSG = 697,
    TEAM_SET_LEADER_SEND_MSG = 698,
    USE_ITEM_ON_CLIENT = 699,
    DOES_FORWARD_TARGET_CLICKING = 700,
    CHECK_USE_REQUIREMENTS = 701,
    USE_REQUIREMENTS_RESPONSE = 702,
    USE_ITEM_REQUIREMENTS_RESPONSE = 703,
    PET_ADDED_TO_WORLD = 704,
    BOUNCER_TRIGGERED = 705,
    EXHIBIT_QUERY_CURRENT_MODEL = 706,
    EXHIBIT_QUERY_CURRENT_MODEL_RESPONSE = 707,
    EXHIBIT_ATTEMPT_VOTE = 708,
    EXHIBIT_VOTE_RESPONSE = 709,
    EHIBIT_REQUERYMODELS = 710,
    IS_SKILL_ACTIVE = 711,
    TOGGLE_ACTIVE_SKILL = 712,
    PLAY_EMBEDDED_EFFECT_ON_ALL_CLIENTS_NEAR_OBJECT = 713,
    EXHIBIT_GET_INFO = 714,
    GET_PROPERTY_DATA = 715,
    DOWNLOAD_PROPERTY_DATA = 716,
    QUERY_PROPERTY_DATA = 717,
    MODEL_MODERATION_ACTION = 719,
    NOTIFY_SERVER_UGC_REVIEW_READY = 720,
    NOTIFY_CLIENT_UGC_REVIEW_READY = 721,
    OLD_USE_ITEM_ON = 722,
    FIND_PROPERTY_FOR_SALE_RESPONSE = 723,
    PROPERTY_EDITOR_BEGIN = 724,
    PROPERTY_EDITOR_END = 725,
    PROPERTY_EDITOR_SET_MODE = 726,
    TOGGLE_TRIGGER = 727,
    FIRE_EVENT = 728,
    IS_MINIFIG_IN_A_BUBBLE = 729,
    GET_ITEM_INFO = 730,
    MISSION_NEEDS_LOT = 731,
    STOP_PATHING = 732,
    START_PATHING = 733,
    ACTIVATE_BUBBLE_BUFF_FROM_SERVER = 734,
    DEACTIVATE_BUBBLE_BUFF_FROM_SERVER = 735,
    HAS_SKILL = 736,
    NOTIFY_CLIENT_ZONE_OBJECT = 737,
    MOVE_OBJECT = 738,
    ROTATE_OBJECT = 739,
    GET_SPAWNER_CONFIG_DATA = 740,
    UPDATE_SPAWNER_CONFIG_DATA = 741,
    TURN_AROUND = 743,
    GO_FORWARD = 744,
    GO_BACKWARD = 745,
    UPDATE_REPUTATION = 746,
    GET_REPUTATION = 747,
    ADD_REPUTATION = 748,
    UPDATE_PROPERTY_DATA = 749,
    PROPERTY_RENTAL_RESPONSE = 750,
    EXHIBIT_PLACEMENT_RESPONSE = 751,
    SQUIRT_WITH_WATERGUN = 752,
    GET_VOTES_LEFT = 753,
    ADJUST_VOTES_LEFT = 754,
    EVADE_TARGET = 755,
    STOPPED_EVADING = 756,
    GET_PET_HAS_ABILITY = 757,
    REQUEST_PLATFORM_RESYNC = 760,
    PLATFORM_RESYNC = 761,
    PLAY_CINEMATIC = 762,
    END_CINEMATIC = 763,
    CINEMATIC_UPDATE = 764,
    ATTACH_CAMERA_TO_RAIL = 765,
    DETACH_CAMERA_FROM_RAIL = 766,
    TOGGLE_GHOST_REFERENCE_OVERRIDE = 767,
    SET_GHOST_REFERENCE_POSITION = 768,
    GET_GHOST_REFERENCE_POSITION = 769,
    FIRE_EVENT_SERVER_SIDE = 770,
    GET_PET_ABILITY_OBJECT = 771,
    TEAM_INVITE_MSG_FROM_UI = 772,
    ADD_CAMERA_EFFECT = 773,
    REMOVE_CAMERA_EFFECT = 774,
    REMOVE_ALL_CAMERA_EFFECTS = 775,
    GET_MY_PROPERTIES_IN_THIS_ZONE = 776,
    IS_MODEL_WITHIN_PROPERTY_BOUNDS = 777,
    PROPERTY_DATA_RESULTS = 778,
    ON_UN_SERIALIZE = 779,
    SCRIPT_NETWORK_VAR_UPDATE = 781,
    ADD_OBJECT_TO_GROUP = 783,
    REMOVE_OBJECT_FROM_GROUP = 784,
    IS_OBJECT_STATIC = 785,
    GET_HAS_MISSION = 786,
    GET_MISSION_TARGET_LOT = 787,
    GET_MISSION_OFFERER_LOT = 788,
    USE_UNIQUE_ITEM = 789,
    GET_IS_PET = 790,
    DELETE_PROPERTY = 791,
    CREATEMODEL_FROM_CLIENT = 792,
    UPDATE_MODEL_FROM_CLIENT = 793,
    DELETE_MODEL_FROM_CLIENT = 794,
    SHOW_PROPERTY_BOUNDS = 795,
    SET_PROPERTY_I_DS = 796,
    PLAY_FACE_DECAL_ANIMATION = 797,
    ADD_ACTIVITY_USER = 798,
    REMOVE_ACTIVITY_USER = 799,
    GET_NUM_ACTIVITY_USERS = 800,
    ACTIVITY_USER_EXISTS = 801,
    DO_COMPLETE_ACTIVITY_EVENTS = 805,
    SET_ACTIVITY_PARAMS = 806,
    SET_ACTIVITY_USER_DATA = 807,
    GET_ACTIVITY_USER_DATA = 808,
    DO_CALCULATE_ACTIVITY_RATING = 809,
    ND_AUDIO_POST_SETUP = 812,
    ND_AUDIO_PRE_SHUTDOWN = 813,
    SET_ND_AUDION_LISTENER_STANCE = 814,
    SET_UP_ND_AUDIO_EMIITTER = 815,
    SHUT_DOWN_ND_AUDIO_EMITTER = 816,
    METAIFY_ND_AUDIO_EMITTER = 817,
    UN_METAIFY_ND_AUDIO_EMITTER = 818,
    METAIFY_ND_AUDIO_EMITTERS = 819,
    UN_METAIFY_ND_AUDIO_EMITTERS = 820,
    PLAY_ND_AUDIO_EMITTER = 821,
    STOP_ND_AUDIO_EMITTER = 822,
    STOP_ND_AUDIO_EMITTER_ALL = 823,
    SET_ND_AUDIO_EMITTER_PARAMETER = 824,
    SET_ND_AUDIO_EMITTERS_PARAMETER = 825,
    ND_AUDIO_CALLBACK = 826,
    ACTIVATE_ND_AUDIO_MUSIC_CUE = 827,
    DEACTIVATE_ND_AUDIO_MUSIC_CUE = 828,
    FLASH_ND_AUDIO_MUSIC_CUE = 829,
    SET_ND_AUDIO_MUSIC_PARAMETER = 830,
    PLAY2_D_AMBIENT_SOUND = 831,
    STOP2_D_AMBIENT_SOUND = 832,
    PLAY3_D_AMBIENT_SOUND = 834,
    STOP3_D_AMBIENT_SOUND = 835,
    ACTIVATE_ND_AUDIO_MIXER_PROGRAM = 836,
    DEACTIVATE_ND_AUDIO_MIXER_PROGRAM = 837,
    UPDATE_ACTIVITY_LEADERBOARD = 838,
    ACTIVITY_LEADERBOARD_UPDATED = 839,
    ENTER_PROPERTY1 = 840,
    ENTER_PROPERTY2 = 841,
    PROPERTY_ENTRANCE_SYNC = 842,
    SEND_PROPERTY_POPULATION_TO_CLIENT = 843,
    SEN_PROPERTY_PLAQUE_VIS_UPDATE = 844,
    PROPERTY_SELECT_QUERY = 845,
    CREATE_POSITION_STRING = 848,
    GET_PARALLEL_POSITION = 849,
    PARSE_CHAT_MESSAGE = 850,
    SET_MISSION_TYPE_STATE = 851,
    GET_LOCATIONS_VISITED = 852,
    GET_MISSION_TYPE_STATES = 853,
    GET_TIME_PLAYED = 854,
    SET_MISSION_VIEWED = 855,
    SLASH_COMMAND_TEXT_FEEDBACK = 856,
    HANDLE_SLASH_COMMAND_KORE_DEBUGGER = 857,
    BROADCAST_TEXT_TO_CHATBOX = 858,
    OPEN_PROPERTY_MANAGEMENT = 860,
    OPEN_PROPERTY_VENDOR = 861,
    VOTE_ON_PROPERTY = 862,
    UPDATE_PROPERTY_OR_MODEL_FOR_FILTER_CHECK = 863,
    NOTIFY_PLAYER_OF_PROPERTY_SUBMISSION = 865,
    NOTIFY_PLAYER_OF_MODEL_SUBMISSION = 866,
    PHYSICS_SYSTEM_LOADED = 867,
    CLIENT_TRADE_REQUEST = 868,
	SERVER_TRADE_REQUEST = 869,
    SERVER_TRADE_INVITE = 870,
    CLIENT_TRADE_REPLY = 871,
	SERVER_TRADE_REPLY = 872,
    SERVER_TRADE_INITIAL_REPLY = 873,
    SERVER_TRADE_FINAL_REPLY = 874,
    CLIENT_TRADE_UPDATE = 875,
	SERVER_SIDE_TRADE_UPDATE = 876,
    SERVER_TRADE_UPDATE = 877,
    CLIENT_TRADE_CANCEL = 878,
    CLIENT_SIDE_TRADE_CANCEL = 879,
    CLIENT_TRADE_ACCEPT = 880,
	SERVER_SIDE_TRADE_ACCEPT = 881,
	SERVER_SIDE_TRADE_CANCEL = 882,
    SERVER_TRADE_CANCEL = 883,
    SERVER_TRADE_ACCEPT = 884,
    GET_TRADE_INFO = 885,
    KF_LOADED = 886,
    BRICKS_LOADED = 887,
    READY_FOR_UPDATES = 888,
    SEND_READY_FOR_UPDATES = 889,
    SET_LAST_CUSTOM_BUILD = 890,
    GET_LAST_CUSTOM_BUILD = 891,
    GET_STATUS_EFFECT_BY_ID = 892,
    GET_ALL_STATUS_EFFECTS = 893,
    CHILD_RENDER_COMPONENT_READY = 894,
    NOTIFY_APPEARANCE_CHANGED_MSG = 895,
    SET_PHYSICS_MOTION_STATE = 896,
    GET_PHYSICS_MOTION_STATE = 897,
    ATTACH_GRAYSCALE_EFFECT = 898,
    ATTACH_FADE_EFFECT = 899,
    ATTACH_CHANGE_RENDER_ENVIRONMENT_EFFECT = 900,
    FORCE_MOVEMENT = 901,
    CANCEL_FORCE_MOVEMENT = 902,
    SET_IGNORE_PROJECTILE_COLLISION = 903,
    GET_IGNORE_PROJECTILE_COLLISION = 904,
    ORIENT_TO_OBJECT = 905,
    ORIENT_TO_POSITION = 906,
    ORIENT_TO_ANGLE = 907,
    NOTIFY_CLIENT_UGC_MODEL_READY = 909,
    NOTIFY_CLIENT_UGC_ICON_READY = 911,
    PROPERTY_BUILD_MODE_CHANGED = 912,
    PROPERTY_BUILD_MODE_UPDATE = 913,
    PROPERTY_DELETION_ACTION = 914,
    PROPERTY_MODERATION_STATUS_ACTION = 915,
    PROPERTY_MODERATION_STATUS_ACTION_RESPONSE = 916,
    PROPERTY_MODERATION_STATUS_UPDATE = 917,
    PROPERTY_NEEDS_GM_ATTENTION = 918,
    PROPERTY_MODERATION_CHANGED = 919,
    INVENTORY_REFRESH_ITEM_DETAILS = 922,
    INVENTORY_LOAD_CUSTOM_ICON = 923,
    GET_STATUS_EFFECT_BY_TYPE = 924,
    RELEASE_CHARGED_SKILL = 925,
    PROPERTY_RELOAD_DB = 926,
    SET_PLAYER_TARGET = 927,
    GET_PLAYER_TARGET = 928,
    LOCK_CAMERA_NETWORKED = 929,
    MOVE_CAMERA_NETWORKED = 930,
    REBUILD_ACTIVATED = 931,
    BOUNCE_NOTIFICATION = 932,
    REQUEST_CLIENT_BOUNCE = 934,
    GET_RECENT_BOUNCED = 935,
    SET_RECENT_BOUNCED = 936,
    SET_ACTIVE_STATE = 937,
    GET_ACTIVE_STATE = 938,
    HAS_COMPONENT_TYPE = 939,
    GET_COMPONENT_LIST = 940,
    RESPONDS_TO_FACTION = 941,
    BOUNCER_ACTIVE_STATUS = 942,
    HF_ATTRIBUTES_PUSH = 943,
    HF_ATTRIBUTES_PULL = 944,
    HF_ATTRIBUTES_PATH_DISPLAY = 945,
    HF_CONTROLS_PULL = 946,
    HF_OBJECT_SELECTED = 947,
    HF_PLACEHOLDER_UPDATE = 948,
    HF_PLACEHOLDER_TOGGLE = 949,
    HF_GET_ASSOCIATED_PATHS = 950,
    HF_GETS_WANT_PATH = 951,
    GET_RECENT_MOVEMENT_KEYS = 952,
    TRACK_RECENT_MOVEMENT_KEYS = 953,
    PHYSICS_MOVEMENT_NOTIFICATION_REQUEST = 954,
    PHYSICS_MOVEMENT_NOTIFICATION = 955,
    MOVE_INVENTORY_SINGLE = 956,
    MOVE_INVENTORY_BATCH = 957,
    MINI_GAME_SET_PARAMETERS = 958,
    MINI_GAME_GET_TEAM_SKILLS = 961,
    MINI_GAME_GET_TEAM_SCORE = 963,
    MINI_GAME_GET_PLAYER_SCORE = 967,
    MINI_GAME_GET_TEAM_COLOR = 972,
    MINI_GAME_GET_TEAM_PLAYERS = 975,
    MINI_GAME_UPDATE_CLIENT = 976,
    MINI_GAME_GET_TEAM = 977,
    MINI_GAME_GET_PARAMETERS = 978,
    OBJECT_ACTIVATED_CLIENT = 980,
    IS_RESURRECTING = 983,
    GET_ITEM_OWNER = 984,
    GET_STORED_CONFIG_DATA = 985,
    SET_STORED_CONFIG_DATA = 986,
    ON_PLAYER_RESSURECTED = 988,
    PLAYER_RESURRECTION_FINISHED = 989,
    TRANSFORM_CHANGELING_BUILD = 990,
    RETURN_CHANGELING_BUILD_ID = 991,
    SPEND_BRICK_INVENTORY_FOR_LXFML = 992,
    BRICK_INVENTORY_FOR_LXFML_SPENT = 993,
    REBUILD_BBB_AUTOSAVE_MSG = 995,
    SET_BBB_AUTOSAVE = 996,
    USE_BBB_INVENTORY = 998,
    UN_USE_BBB_MODEL = 999,
    BBB_LOAD_ITEM_REQUEST = 1000,
    BBB_SAVE_REQUEST = 1001,
    BBBLUP_SAVE_REQUEST = 1002,
    BBB_GET_METADATA_SOURCE_ITEM = 1003,
    BBB_RESET_METADATA_SOURCE_ITEM = 1004,
    BBB_SAVE_RESPONSE = 1005,
    PLAYER_EXIT = 1006,
    SET_PVP_STATUS = 1008,
    GET_PVP_STATUS = 1009,
    IS_VALID_PVP_TARGET = 1010,
    PVP_RENDER_NAME = 1011,
    ATTACH_OBJECT = 1012,
    DETACH_OBJECT = 1013,
    BOUNCE_SUCCEEDED = 1014,
    GET_GAME_OBJECT_POINTER = 1015,
    PHANTOM_HKX_LOADED = 1016,
    DELAY_CREATE_EFFECT = 1017,
    CHOICE_BUILD_SELECTION_CONFIRMED = 1018,
    NOTIFY_FADE_UP_VIS_COMPLETE = 1019,
    ITEM_HAS_NEW_INFO = 1020,
    RESET_SECONDARY_ANIMATION = 1021,
    GET_PICK_TYPE = 1022,
    SET_PICK_TYPE = 1023,
    GET_PRIORITY_PICK_LIST_TYPE = 1024,
    REQUEST_PICK_TYPE_UPDATE = 1025,
    GET_OVERRIDE_PICK_TYPE = 1026,
    REQUEST_DISPLAY_OBJECT_INFO = 1027,
    REQUEST_SERVER_OBJECT_INFO = 1028,
    REQUEST_OBJECT_INFO_AS_XML = 1029,
    GET_OBJECT_REPORT_INFO = 1030,
    GET_OBJECT_REPORT_WINDOW_CLOSE = 1031,
    GET_OBJECT_REPORT_STATUS = 1032,
    GET_MISSION_DATA_FOR_OBJECT_REPORT = 1033,
    GET_OBJECT_ROLLOVER_INFO = 1034,
    PERFORM_ZONE_ANALYSIS = 1035,
    UPDATE_HK_VISUAL_IZATION = 1036,
    CLEAR_ITEMS_OWNER = 1037,
    APPLY_LINEAR_IMPULSE = 1038,
    APPLY_ANGULAR_IMPULSE = 1039,
    GET_CONTACT_NORMALS = 1040,
    IS_WATCHING_FOR_EMOTE = 1041,
    NOTIFY_CLIENT_OBJECT = 1042,
    DISPLAY_ZONE_SUMMARY = 1043,
    ZONE_SUMMARY_DISMISSED = 1044,
    GET_PLAYER_ZONE_STATISTIC = 1045,
    MODIFY_PLAYER_ZONE_STATISTIC = 1046,
    APPLY_EXTERNAL_FORCE = 1049,
    GET_APPLIED_EXTERNAL_FORCE = 1050,
    ITEM_EQUIPPED = 1052,
    ACTIVITY_STATE_CHANGE_REQUEST = 1053,
    OVERRIDE_FRICTION = 1054,
    ARRANGE_WITH_ITEM = 1055,
    CHECK_CAN_BUILD_WITH_ITEM = 1056,
    START_BUILDING_WITH_ITEM = 1057,
    START_BUILD_SESSION = 1058,
    FINISH_BUILD_SESSION = 1059,
    DONE_BUILD_SESSION = 1060,
    START_ARRANGING_WITH_ITEM = 1061,
    FINISH_ARRANGING_WITH_ITEM = 1062,
    DONE_ARRANGING_WITH_ITEM = 1063,
    START_ARRANGE_MODE = 1064,
    ARRANGE_MODE_WITH_ITEM = 1065,
    FINISH_ARRANGE_MODE = 1066,
    DONE_ARRANGE_MODE = 1067,
    SET_BUILD_MODE = 1068,
    BUILD_MODE_SET = 1069,
    CONFIRM_BUILD_MODE = 1070,
    BUILD_MODE_CONFIRMATION = 1071,
    BUILD_EXIT_CONFIRMATION = 1072,
    SET_BUILD_MODE_CONFIRMED = 1073,
    BUILD_MODE_NOTIFICATION = 1074,
    BUILD_MODE_NOTIFICATION_REPORT = 1075,
    CLIENT_USE_MODULE_ON = 1076,
    SET_MODEL_TO_BUILD = 1077,
    SPAWN_MODEL_BRICKS = 1078,
    CHECK_PRECONDITION = 1079,
    CHECK_ALL_PRECONDITIONS = 1080,
    NOTIFY_CLIENT_FAILED_PRECONDITION = 1081,
    GET_IS_ITEM_EQUIPPED_BY_LOT = 1082,
    GET_IS_ITEM_EQUIPPED_BY_ID = 1083,
    GET_OBJECT_DIRECTION_VECTORS = 1084,
    GET_CASTABLE_SKILLS = 1085,
    CHOICEBUILD_COMPLETE = 1086,
    GET_MISSION_CHAT = 1087,
    GET_MISSION_AUDIO = 1088,
    MODULE_EQUIPPED = 1089,
    MODULE_DROPPED = 1090,
    MODULE_PICKED_UP = 1091,
    MODULE_INFO = 1092,
    MOVE_ITEM_BETWEEN_INVENTORY_TYPES = 1093,
    MODULAR_BUILD_BEGIN = 1094,
    MODULAR_BUILD_END = 1095,
    MODULAR_BUILD_MOVE_AND_EQUIP = 1096,
    MODULAR_BUILD_FINISH = 1097,
    SET_REGISTRATION_FOR_UI_UPDATE = 1114,
    GO_TO_WAYPOINT = 1115,
    ARRIVED_AT_DESIRED_WAYPOINT = 1116,
    CHECK_WITHIN_BOUNDS = 1117,
    ATTACH_TO_BUILD_ASSEMBLY = 1118,
    SET_BUILD_ASSEMBLY = 1119,
    RESET_BUILD_ASSEMBLY = 1120,
    GET_INVENTORY_ITEM_INFO = 1125,
    GET_ITEM_DETAILS = 1126,
    GET_BUILD_ACTIVATOR = 1127,
    GET_MISSION_ANIMATION = 1128,
    MISSION_DIALOGUE_CANCELLED = 1129,
    MODULE_ASSEMBLY_DB_DATA = 1130,
    MODULE_ASSEMBLY_DB_DATA_FOR_CLIENT = 1131,
    MODULE_ASSEMBLY_QUERY_DATA = 1132,
    MODULE_ASSEMBLY_HKX_LOADED = 1133,
    MODULE_ASSEMBLY_NIF_LOADED = 1134,
    MODULE_ASSEMBLY_MAIN_NIF_LOADED = 1135,
    MODULE_ASSEMBLY_KFM_LOADED = 1136,
    GET_PRECONDITION_INFO = 1137,
    GET_MODEL_LOT = 1138,
    ANIMATION_FINISHED_PRELOADING = 1139,
    CHILD_BUILD_ASSEMBLY_COMPLETE = 1140,
    CHARACTER_UNSERIALIZED = 1141,
    CHARACTER_NEEDS_TRANSITION = 1142,
    SET_NEEDS_TRANSITION = 1143,
    ECHO_SYNC_SKILL = 1144,
    SYNC_SKILL = 1145,
    GET_BEHAVIOR_HANDLE = 1146,
    ADD_OUTSTANDING_BEHAVIOR = 1147,
    REQUEST_SERVER_PROJECTILE_IMPACT = 1148,
    OFF_WORLD_IMPACT_REQUEST = 1149,
    SERVER_IMPACT_REQUEST = 1150,
    DO_CLIENT_PROJECTILE_IMPACT = 1151,
    MODULE_ASSEMBLY_PART_INFO = 1152,
    GET_BUILD_TYPE = 1153,
    CHECK_BUILD_TYPE = 1154,
    MODULAR_BUILD_CONVERT_MODEL = 1155,
    DO_NPC_SHOWCASE_MODEL_SUBMISSION = 1156,
    GET_MISSION_I_DS_LIST = 1157,
    SET_SHOWCASE_MISSION_NPC_VALS = 1158,
    NOTIFY_SHOWCASE_MISSION_NP_COF_SUCCESS = 1159,
    SEND_LUA_NOTIFICATION_REQUEST = 1160,
    SEND_LUA_NOTIFICATION_CANCEL = 1161,
    ACTIVATOR_TOGGLE = 1162,
    MAKE_PHYSICS = 1163,
    SET_RESPAWN_GROUP = 1164,
    SET_PLAYER_ALLOWED_RESPAWN = 1165,
    TOGGLE_SENDING_POSITION_UPDATES = 1166,
    TOGGLE_RECEIVING_POSITION_UPDATES = 1167,
    GET_ENEMY_PRECONDITIONS = 1168,
    START_MODEL_VISUALIZATION = 1169,
    PLACE_PROPERTY_MODEL = 1170,
    PROPERTY_MODEL_PLACED = 1171,
    OPEN_EXHIBIT_REPLACE_MODEL_UI = 1172,
    REPLACE_SHOWCASEMODEL = 1173,
    CLEAR_UI_HOOK_EXHIBIT_REPLACEMENT = 1174,
    ATTACH_FLYTO_SCREEN_POS = 1175,
    VEHICLE_GET_DEBUG_INFO = 1176,
    VEHICLE_GET_MOVEMENT_INPUT_VALUES = 1177,
    ACTIVITY_TIMER_SET = 1178,
    ACTIVITY_TIMER_UPDATE = 1179,
    ACTIVITY_TIMER_GET = 1180,
    ACTIVITY_TIMER_STOP = 1181,
    ACTIVITY_TIMER_DONE = 1182,
    GET_ATTACK_PRIORITY = 1183,
    UI_MESSAGE_SERVER_TO_SINGLE_CLIENT = 1184,
    UI_MESSAGE_SERVER_TO_ALL_CLIENTS = 1185,
    SET_LOSE_COINS_ON_DEATH = 1186,
    LOAD_EFFECTS = 1187,
    SET_CUSTOM_BUILD = 1188,
    ACTIVITY_TIMER_RESET = 1189,
    ACTIVITY_TIMER_STOP_ALL_TIMERS = 1190,
    ACTIVITY_TIMER_MODIFY = 1191,
    SET_KEYFRAM_TRANSFORM = 1192,
    ADD_ACTIVITY_OWNER = 1193,
    REMOVE_ACTIVITY_OWNER = 1194,
    GET_CURRENT_ACTIVITY_OWNERS = 1195,
    TOGGLE_SKILL_DEBUGGING = 1196,
    PET_TAMING_TRY_BUILD = 1197,
    REPORT_BUG = 1198,
    REPORT_OFFENSIVE_MODEL = 1199,
    REPORT_OFFENSIVE_PROPERTY = 1200,
    GET_ACTIVITY_ID = 1201,
    REQUEST_SMASH_PLAYER = 1202,
    GET_TIMES_REQUESTED_SMASH = 1203,
    RESPONSE_SMASH_PLAYER = 1204,
    MODIFY_DAMAGE_ABSORPTION = 1205,
    UNCAST_SKILL = 1206,
    GET_SHOWCASE_MODEL_READY = 1207,
    IS_SKILL_NEEDED = 1208,
    GET_COMPONENT_DATA = 1209,
    VEHICLE_SET_POWERSLIDE_METHOD = 1210,
    SHOWS_NAMETAG = 1211,
    FIRE_EVENT_CLIENT_SIDE = 1213,
    GET_REQUIRES_NAME_RESUBMISSION = 1216,
    SET_REQUIRES_NAME_RESUBMISSION = 1217,
    TOGGLE_GM_INVIS = 1218,
    GET_GM_INVIS = 1219,
    KILLED_PLAYER = 1220,
    GET_PICKUP_SKILLS = 1221,
    GET_FACTION_SKILL = 1222,
    CHANGE_OBJECT_WORLD_STATE = 1223,
    GET_OBJECT_WORLD_STATE = 1224,
    VISIBILITY_CHANGED = 1225,
    MOTION_EFFECT_COMPLETE = 1226,
    TOGGLE_FREEZE_MODE = 1227,
    SHADER_RENDER_MSG_APPLIED = 1228,
    PLAYER_RENAME_REQUEST = 1229,
    VEHICLE_LOCK_INPUT = 1230,
    VEHICLE_UNLOCK_INPUT = 1231,
    SET_AIR_MOVEMENT = 1232,
    MOVEMENT_STATE_CHANGED = 1233,
    SKILL_MOVEMENT_CANCELLED = 1234,
    AIR_MOVEMENT_COMPLETE = 1235,
    CANCEL_AIR_MOVEMENT = 1236,
    FORCE_MINIFIGURE_TEXTURE_UPDATE = 1237,
    RESYNC_EQUIPMENT = 1238,
    ADD_COMPONENT_TO_OBJECT = 1239,
    VEHICLE_GET_MAX_GAME_SPEED = 1240,
    VEHICLE_GET_MAX_GAME_SPEED_WITH_BOOST = 1241,
    GET_SPEED_FACTOR = 1242,
    FREEZE_INVENTORY = 1243,
    ADD_STAT_TRIGGER = 1244,
    ADD_STAT_TRIGGER_CHILD = 1245,
    CHECK_TRIGGERS_AND_FIRE_IF_NEEDED = 1246,
    STAT_EVENT_TRIGGERED = 1247,
    GET_CURRENT_SPEED = 1248,
    RACING_PLAYER_RANK_CHANGED = 1249,
    RACING_PLAYER_WRONG_WAY_STATUS_CHANGED = 1250,
    RACING_PLAYER_CROSSED_FINISH_LINE = 1251,
    RACING_RESET_PLAYER_TO_LAST_RESET = 1252,
	RACING_SERVER_SET_PLAYER_LAP_AND_PLANE = 1253,
    RACING_SET_PLAYER_RESET_INFO = 1254,
    RACING_PLAYER_INFO_RESET_FINISHED = 1255,
    RACING_PLAYER_OUT_OF_TRACK_BOUNDS = 1256,
    RACING_SYNC_INFO = 1257,
    RACING_PLAYER_KEEP_ALIVE = 1258,
    RACING_SERVER_KEEP_ALIVE = 1259,
    LOCK_NODE_ROTATION = 1260,
    GET_PHYSICS_COLLIDABLE = 1261,
    SET_PHYSICS_COLOR_FOR_DEBUG = 1262,
    GET_PHYSICS_COLOR_FOR_DEBUG = 1263,
    SET_PHYSICS_TEXT_AND_STATE_FOR_DEBUG = 1264,
    REQUEST_INFO_FOR_PHYSICS_DEBUGGER = 1265,
    GET_COLLIDABLE_AT_ADDRESS = 1266,
    REQUEST_SERVER_GET_COLLIDABLE_REPORT = 1267,
    COLLISION_POINT_ADDED = 1268,
    COLLISION_POINT_REMOVED = 1269,
    SET_ATTACHED = 1270,
    SET_DESTROYABLE_MODEL_BRICKS = 1271,
    VEHICLE_SET_POWERSLIDE_LOCK_WHEELS = 1273,
    VEHICLE_SET_WHEEL_LOCK_STATE = 1273,
    SHOW_HEALTH_BAR = 1274,
    GET_SHOWS_HEALTH_BAR = 1275,
    NOTIFY_VEHICLE_OF_RACING_OBJECT = 1276,
    ENABLE_CLIENT_EQUIP_MODE = 1278,
    CLIENT_EQUIP_MODE_WAS_CHANGED = 1279,
    VEHICLE_GET_SPAWN_HEIGHT = 1281,
    SET_NAME_BILLBOARD_STATE = 1284,
    CHECK_TARGETING_REQUIREMENTS = 1285,
    VEHICLE_CAN_WRECK = 1286,
    ATTACH_RENDER_EFFECT = 1287,
    DETACH_RENDER_EFFECT = 1288,
    IS_PET_USING_ABILITY = 1289,
    SET_BLOCKING = 1290,
    GET_BLOCKING = 1291,
    UPDATE_BLOCKING = 1292,
    CHECK_DAMAGE_RESULTS = 1293,
    GET_OBJECT_IS_IN_RENDER_PIPE = 1294,
    ATTACH_MOTION_FX_ARC = 1295,
    PLAYER_REACHED_RESPAWN_CHECKPOINT = 1296,
    GET_LAST_RESPAWN_CHECKPOINT = 1297,
    GET_VEHICLE_DEBUG_COLLISIONS = 1298,
    VISITING_PROPERTY = 1299,
    HANDLE_UGC_POST_DELETE_BASED_ON_EDIT_MODE = 1300,
    HANDLE_UGC_POST_CREATE_BASED_ON_EDIT_MODE = 1301,
    WORLD_CHECK_RESPONSE = 1302,
    ADD_DAMAGE_REDUCTION = 1303,
    REMOVE_DAMAGE_REDUCTION = 1304,
    PROPERTY_CONTENTS_FROM_CLIENT = 1305,
    GET_MODELS_ON_PROPERTY = 1306,
    IS_SHOWCASE_DISPLAY_PEDESTAL = 1307,
    MATCH_REQUEST = 1308,
    MATCH_RESPONSE = 1309,
    MATCH_UPDATE = 1310,
    IS_DEFAULT_SKILL_ACTIVE = 1311,
    PROPERTY_EDITOR_CARRY = 1312,
    GET_LOOT_OWNER_ID = 1313,
    GET_ENEMY_LOOT_TAG = 1314,
    GET_NUM_SPAWNED_BRICKS = 1315,
    SET_ITEM_EQUIP_TRANSFORM = 1316,
    GET_ITEM_EQUIP_TRANSFORM = 1317,
    GET_PROPERTY_BUDGET_INFO = 1318,
    CHATBOX_IS_INIT = 1319,
    GET_SPAWNED_I_DS = 1320,
    GET_IMMUNITY = 1321,
    GET_GM_IMMUNITY = 1322,
    PROCESS_REMOTE_SLASH_COMMAND = 1323,
    IS_FRIEND_MSG = 1324,
    RACING_PLAYER_EVENT = 1325,
    GET_PROPERTY_EDIT_VALID = 1326,
    REFRESH_RENDER_ASSET = 1327,
    VEHICLE_APPLY_STAT_CHANGE = 1328,
    ZONE_LOADED_INFO = 1329,
    B3_INTERFACE_ACTION = 1330,
    RACING_STAT_MODIFIERS_FROM_CLIENT = 1332,
    GET_RACING_STAT_MODIFIERS = 1333,
    SET_RACING_STAT_MODIFIERS = 1334,
    GET_RACING_LICENSE_LEVEL = 1335,
    ADD_EQUIP_CAST = 1336,
    SHOW_BILLBOARD_INTERACT_ICON = 1337,
    CHANGE_IDLE_FLAGS = 1338,
    GET_ANIMATION_FLAG = 1339,
    VEHICLE_ADD_PASSIVE_BOOST_ACTION = 1340,
    VEHICLE_REMOVE_PASSIVE_BOOST_ACTION = 1341,
    NOTIFY_SERVER_VEHICLE_ADD_PASSIVE_BOOST_ACTION = 1342,
    NOTIFY_SERVER_VEHICLE_REMOVE_PASSIVE_BOOST_ACTION = 1343,
    VEHICLE_ADD_SLOWDOWN_ACTION = 1344,
    VEHICLE_REMOVE_SLOWDOWN_ACTION = 1345,
    NOTIFY_SERVER_VEHICLE_ADD_SLOWDOWN_ACTION = 1346,
    NOTIFY_SERVER_VEHICLE_REMOVE_SLOWDOWN_ACTION = 1347,
    FORCE_UPDATE_ANIMATIONS = 1348,
    MATCH_GET_DATA_FOR_PLAYER = 1349,
    BUYBACK_FROM_VENDOR = 1350,
    SET_INVENTORY_FILTER = 1351,
    GET_INVENTORY_FILTER = 1352,
    GET_INVENTORY_GROUPS = 1353,
    GET_INVENTORY_GROUP = 1354,
    UPDATE_INVENTORY_GROUP = 1355,
    UPDATE_INVENTORY_UI = 1356,
    UPDATE_INVENTORY_GROUP_CONTENTS = 1357,
    CAN_REMOVE_ITEM_FROM_INVENTORY = 1362,
    DRIVE_THIS_CAR = 1363,
    VEHICLE_CAN_ADD_ACTIVE_BOOST = 1364,
    VEHICLE_ADD_ACTIVE_BOOST = 1365,
    SET_PROPERTY_ACCESS = 1366,
	ZONE_PROPERTY_MODEL_PLACED = 1369,
    ZONE_PROPERTY_MODEL_ROTATED = 1370,
    ZONE_PROPERTY_MODEL_REMOVED_WHILE_EQUIPPED = 1371,
    ZONE_PROPERTY_MODEL_EQUIPPED = 1372,
	ZONE_PROPERTY_MODEL_PICKED_UP = 1373,
	ZONE_PROPERTY_MODEL_REMOVED = 1374,
    GET_VERSIONING_INFO = 1381,
    OPEN_UG_BEHAVIOR_UI = 1382,
    VEHICLE_NOTIFY_HIT_SMASHABLE = 1383,
    GET_TETHER_RADIUS = 1384,
    VEHICLE_NOTIFY_HIT_EXPLODER = 1385,
    CHECK_NEAREST_ROCKET_LAUNCH_PRE_CONDITIONS = 1386,
    REQUEST_NEAREST_ROCKET_LAUNCH_PRE_CONDITIONS = 1387,
    CONFIGURE_RACING_CONTROL_CLIENT = 1389,
    NOTIFY_RACING_CLIENT = 1390,
    RACING_PLAYER_HACK_CAR = 1391,
    RACING_PLAYER_LOADED = 1392,
    RACING_CLIENT_READY = 1393,
    POSSESSION_FINISHED_ATTACH = 1394,
    UPDATE_CHAT_MODE = 1395,
    VEHICLE_NOTIFY_FINISHED_RACE = 1396,
    EQUIPPED_ITEM_STARTUP = 1397,
    FACTION_TRIGGER_ITEM_EQUIPPED = 1400,
    FACTION_TRIGGER_ITEM_UNEQUIPPED = 1401,
    TOGGLE_PROPERTY_BEHAVIORS = 1402,
    GET_UG_OBJECT_INFO = 1405,
    RESET_PROPERTY_BEHAVIORS = 1406,
    IS_PROPERTY_MODEL_RESET = 1407,
    SET_UG_OBJECT_NAME_AND_DESCRIPTION = 1408,
    SET_CONSUMABLE_ITEM = 1409,
    VEHICLE_GET_CURRENT_LAP = 1410,
    GET_UGID = 1411,
    SET_UGID = 1412,
    UGID_CHANGED = 1413,
    RACING_GET_CURRENT_LAP_FOR_PLAYER = 1414,
    SUB_ITEM_UN_EQUIPPED = 1415,
    SET_CUSTOM_DROP_SHADOW_TEXTURE = 1416,
    GET_PLAYER_KIT_FACTION = 1418,
    USED_INFORMATION_PLAQUE = 1419,
    RACING_ENABLE_WRONG_WAY_RESET = 1420,
    RACING_TOGGLE_RUBBER_BANDING = 1421,
    GET_RACING_CONTROL_DEBUG_INFO = 1422,
    SET_PROPERTY_BOUNDS_VISIBILITY = 1423,
    SET_PROPERTY_VENDOR_VISIBILITY = 1424,
    SET_EQUIP_STATE = 1425,
    NOTIFY_COMBAT_AI_STATE_CHANGE = 1426,
    SET_PROPERTY_MODEL_INTERACTIVE = 1430,
    SERVER_STATE_NOTIFY = 1431,
    GET_SERVER_STATE = 1432,
    GET_ICON_FOR_PROXIMITY = 1433,
    GET_LEGO_CLUB_MEMBERSHIP_STATUS = 1434,
    SET_STATUS_IMMUNITY = 1435,
    GET_STATUS_IMMUNITY = 1436,
    TEAM_IS_MEMBER = 1437,
    ACTIVATE_BRICK_MODE = 1438,
    GET_BUILD_OBJECT_ID = 1439,
    SET_ANIMATION_ENABLED = 1444,
    PAUSE_COOLDOWNS = 1446,
    FORCE_UPDATE_RENDER_NODE = 1447,
    SET_PET_NAME_MODERATED = 1448,
    TOGGLE_STRAFE_MODE = 1449,
    SET_SCHEME_SPEED_SCALE = 1450,
    CANCEL_SKILL_CAST = 1451,
    CHECK_PLAYER_ASSEMBLY_FOR_UNIQUE_MODULE_BY_LOT = 1454,
    MODULE_ASSEMBLY_DB_DATA_TO_LUA = 1455,
    IS_ALLY = 1458,
    MODIFY_LEGO_SCORE = 1459,
    GET_LEGO_SCORE = 1460,
    GET_PLAYER_LEVEL = 1461,
    NOTIFY_LEGO_SCORE_UPDATE = 1462,
    SET_LEGO_SCORE = 1463,
    UPDATE_BEHAVIOR_EXECUTION_DETAILS = 1466,
    RESTORE_TO_POST_LOAD_STATS = 1468,
    PICKUP_OBJECT_ERROR = 1469,
    CHECK_AND_SHOW_INVENTORY_FULL_TIP = 1470,
    SET_RAIL_MOVEMENT = 1471,
    START_RAIL_MOVEMENT = 1472,
    SET_UP_VECTOR = 1473,
    CANCEL_RAIL_MOVEMENT = 1474,
    GET_RAIL_INFO = 1475,
    CLIENT_RAIL_MOVEMENT_READY = 1476,
    PLAYER_RAIL_ARRIVED_NOTIFICATION = 1477,
    NOTIFY_RAIL_ACTOVATOR_STATE_CHANGE = 1478,
    REQUEST_RAIL_ACTIVATOR_STATE = 1479,
    NOTIFY_REWARD_MAILED = 1480,
    UPDATE_PLAYER_STATISTIC = 1481,
    IS_IN_COMBAT = 1482,
    IS_PRIMITIVE_MODEL_MSG = 1483,
    SCALE_PRIMITICE_MODEL_MSG = 1484,
    MODIFY_GHOSTING_DISTANCE = 1485,
    PRIMITIVE_MODEL_CHANGED_MSG = 1487,
    GET_PROPRTY_CLONE_ID = 1488,
    REQUEST_LEAVE_PROPERTY = 1489,
    REQUERY_PROPERTY_MODELS = 1491,
    GET_BEHAVIOR_COUNT = 1492,
    UPDATE_BEHAVIOR_CONTROLS = 1493,
    MODULE_ASSEMBLY_LXFML_LOADED = 1494,
    REQUEST_ASSEMBLED_LXFML = 1495,
    ASSEMBLED_LXFML_LOADED = 1496,
    GET_REORIENT_UP_VECTOR = 1497,
    MODULAR_ASSEMBLY_NIF_COMPLETED = 1498,
    CHARACTER_DISCONNECT_BEFORE_CREATE = 1499,
    SEND_LAUNCH_TO_PREVIOUS_ZONE_TO_CLIENT = 1500,
    ROCKETLAUNCH_REQUEST_DEFAULT_MAP_ID = 1501,
    BEGIN_LAUNCH = 1502,
    PROCESS_CLAIM_CODES = 1503,
    GET_LAST_ZONE_ID = 1504,
    ADD_RUN_SPEED_MODIFIER = 1505,
    REMOVE_RUN_SPEED_MODIFIER = 1506,
    SKILL_EVENT_FIRED = 1507,
    SEND_HOT_PROPERTY_DATA = 1510,
    GET_HOT_PROPERTY_DATA = 1511,
    GET_EQUIPPED_ITEMS_IN_SET = 1512,
    IS_ITEM_IN_SET = 1513,
    GET_INVENTORY_TYPE_FOR_LOT = 1514,
    GET_BANK_TYPE_FOR_LOT = 1515,
    NOTIFY_NOT_ENOUGH_INV_SPACE = 1516,
    IMPORT_MODEL_TO_BBB = 1517,
    SEARCH_NEARBY_OBJECTS = 1518,
    SEARCH_NEARBY_OBJECTS_REQUEST_BY_LOT = 1519,
    REQUEST_OBJECT_POSITION_BY_ID = 1520,
    SEARCH_NEARBY_OBJECTS_REQUEST_BY_COMPONENT = 1521,
    SEARCH_NEARBY_OBJECTS_RESPONSE = 1522,
    BROADCAST_NON_STANDARD_COLLISIONS = 1523,
    GET_REGISTERED_NON_STANDARD_COLLISION_GROUP = 1524,
    BROADCAST_CRUSHED_NOTIFICATIONS = 1525,
    GET_REGISTERED_CRUSHED_COLLISION_GROUPS = 1526,
    IS_BEING_CRUSHED = 1527,
    GET_SUPPORTING_OBJECT = 1528,
    TREAT_RIGID_BODY_COLLSIONS_AS_FIXED = 1529,
    BROADCAST_TELEPORTED_WITHIN_NOTIFICATION = 1530,
    GET_REGISTERED_TELEPORTED_WITHIN_OBJECT_GROUP = 1531,
    GET_INTERPENTRATING_INFORMATION = 1532,
    OBJECT_TELEPORTED_WITHIN = 1533,
    SET_PHYSICS_SOLVER_PROPERTIES = 1534,
    HAS_BEHAVIORS = 1535,
    PLAY_BEHAVIOR_SOUND = 1536,
    GET_PLAYER_BEHAVIOR_TIER = 1537,
    GET_EMOTE_ANIMATION_TIME = 1538,
    GET_CHARACTER_STAT_TRACKING = 1539,
    PLAYER_INVENTORY_READY = 1540,
    SET_PRECONDITIONS = 1541,
    DETACH_SHADOW = 1542,
    GET_LOOT_INFO = 1543,
    GET_PLAYERS_ON_PROPERTY = 1544,
    PROPERTY_SPAWN_BY_BEHAVIOR = 1545,
    NOTIFY_PROPERTY_OF_EDIT_MODE = 1546,
    UPDATE_PROPERTY_PERFORMANCE_COST = 1547,
    GET_PROPERTY_PERFORMANCE_COST = 1548,
    GET_INVENTORY_ITEM_WITH_SUBKEY = 1549,
    DISPLAY_PROPERTY_SUMMARY_SCREEN = 1550,
    VALIDATE_BBB_MODEL = 1551,
    BBB_MODEL_VALIDATION = 1552,
    PROPERTY_ENTRANCE_BEGIN = 1553,
    CHECK_LIST_OF_PRECONDITIONS_FROM_LUA = 1554,
    GET_PROPERTYIN_ZONE = 1555,
    GET_ZONE_ID_FROM_MULTI_ZONE_ENTRANCE = 1556,
    TEAM_SET_LEADER = 1557,
    TEAM_INVITE_CONFIRM = 1558,
    TEAM_GET_STATUS_RESPONSE = 1559,
    MINI_GAME_ENABLE_LOCAL_TEAMS = 1560,
    TEAM_INVITE_FINAL_RESPONSE = 1561,
    TEAM_ADD_PLAYER = 1562,
    TEAM_REMOVE_PLAYER = 1563,
    TEAM_CREATE_LOCAL = 1564,
    TEAM_GET_LOOT = 1565,
    TEAM_SET_LOOT = 1566,
    SET_ZERO_IMPULSE_AGAINST_COLLISION_GROUPS = 1567,
    SET_CENTER_OF_MASS_TO_PHYSICAL_CENTER = 1568,
    SET_INERTIA_INVERSE = 1569,
    ADD_REMOVE_CLIMBING_LISTENER = 1570,
    GET_INVENTORYITEM_DETAILS = 1571,
    PERFORM_CLIENT_SIDE_DEATH = 1572,
    LEGO_CLUB_ACCESS_RESULT = 1573,
    VEHICLE_GET_IS_REVERSING = 1574,
    CHECK_CLAIM_CODE = 1575,
    GET_HOLIDAY_EVENT = 1576,
    SET_EMOTES_ENABLED = 1577,
    GET_EMOTES_ENABLED = 1578,
    FREEZE_ANIMATION = 1579,
    LOCALIZED_ANNOUNCEMENT_SERVER_TO_SINGLE_CLIENT = 1580,
    ANCHOR_FX_NODE = 1581,
    WS_GET_FRIEND_LIST_MESSAGE = 1582,
    WS_ADD_FRIEND_RESPONSE = 1583,
    WS_REMOVE_FRIEND_REPSONSE = 1584,
    WS_UPDATE_FRIEND_STATUS = 1585,
    WS_UPDATE_FRIEND_NAME = 1586,
    IS_BEST_FRIEND = 1587,
    TEAM_NOTIFY_UPDATE_MISSION_TASK = 1588,
    VEHICLE_ADD_SLIPPERY_ACTION = 1589,
    VEHICLE_REMOVE_SLIPPERY_ACTION = 1590,
    SET_RESURRECT_RESTORE_VALUES = 1591,
    GET_MASS = 1592,
    SET_PROPERTY_MODERATION_STATUS = 1593,
    UPDATE_PROPERTY_MODEL_DEFAULTS = 1594,
    UPDATE_PROPERTYMODEL_COUNT = 1595,
    GET_PROPERTY_MODEL_COUNT = 1596,
    IS_PLAYER_LOADED = 1597,
    ATTACH_RENDER_EFFECT_FROM_LUA = 1598,
    DETACH_RENDER_EFFECT_FROM_LUA = 1599,
    TEAM_IS_LOCAL = 1600,
    CREATE_CAMERA_PARTICLES = 1602,
    SET_SMASHABLE_GRAVITY_FACTOR = 1603,
    VEHICLE_SET_SURFACE_TYPE_OVERRIDE = 1604,
    VEHICLE_NOTIFY_HIT_IMAGINATION = 1605,
    VEHICLE_NOTIFY_HIT_IMAGINATION_SERVER = 1606,
    GET_SPAWNED_OBJECT_SPAWNER_INFO = 1607,
    SAVE_PROPERTY = 1608,
    SET_PROPERTY_DIRTY = 1609,
    GET_PROPERTY_DIRTY = 1610,
    GET_MODEL_LIST_FROM_PLAQUE = 1611,
    GET_ORIGINAL_POSITION_AND_ROTATION = 1612,
    VEHICLE_SET_MASS_FOR_COLLISION = 1613,
    GET_INVENTORY_GROUP_COUNT = 1614,
    GET_LATEST_CHAT_CHANNEL_USED = 1615,
    SET_SUGGEST_LIST_LANGUAGE = 1616,
    VEHICLE_STOP_BOOST = 1617,
    START_CELEBRATION_EFFECT = 1618,
    LOCK_PLAYER = 1619,
    VEHICLE_IS_INPUT_LOCKED = 1620,
    GET_MULTI_NODE = 1621,
    RENEW_PROPERTY = 1622,
    RENEW_PROPERTY_RESULT = 1623,
    CHARGE_ACTIVITY_COST = 1624,
    CAN_RECEIVE_LOOT = 1625,
    JOIN_PLAYER_FACTION = 1626,
    SET_PROXIMITY_UPDATE_RATE = 1627,
    BBB_MODELS_TO_SAVE = 1628,
    BELONGS_TO_FACTION = 1629,
    MODIFY_FACTION = 1630,
    FACTION_UPDATE = 1631,
    CELEBRATION_COMPLETED = 1632,
    PLAY_PRIMARY_MODULE_SOUNDS = 1633,
    STOP_PRIMARY_MODULE_SOUNDS = 1634,
    REQUEST_TEAM_PLAYER_UI_UPDATE = 1635,
    SET_LOCAL_TEAM = 1636,
    TEAM_GET_WORLD_MEMBERS_IN_RADIUS = 1637,
    GET_PARENTAL_LEVEL = 1638,
    GET_OBJECTS_MESSAGE_HANDLERS = 1639,
    PROPERTY_FEATURED = 1640,
    PROPERTY_NOTIFY_MODEL_SPAWNED = 1641,
    SERVER_DONE_LOADING_ALL_OBJECTS = 1642,
    GET_DONATION_TOTAL = 1643,
    UPDATE_DONATION_VALUES = 1644,
    DELAYED_DELETE_DROP_EFFECT_BRICK = 1645,
    SET_CAMERA_UNLOCK_ROTATION_STATE = 1646,
    ADD_BUFF = 1647,
    REMOVE_BUFF = 1648,
    CHECK_FOR_BUFF = 1649,
    TEAM_MEMBERS_DISOWNS_LOOT = 1650,
    GET_WHEEL_TEMPLATE = 1651,
    ADD_SKILL_IN_PROGRESS = 1652,
    REMOVE_SKILL_IN_PROGRESS = 1653,
    SET_OVERHEAD_ICON_OFFSET = 1654,
    SET_BILLBOARD_OFFSET = 1655,
    SET_CHAT_BUBBLE_OFFSET = 1656,
    SET_NO_TEAM_INVITES = 1657,
    RESET_MODEL_TO_DEFAULTS = 1658,
    IS_PROPERTY_IN_EDIT_MODE = 1659,
    GET_OBJECTS_IN_PHYSICS_BOUNDS = 1660,
    ENABLE_LU_REMOTE = 1661,
    SET_IS_USING_FREE_TRIAL = 1662,
    GET_IS_USING_FREE_TRIAL = 1663,
    GET_ACCOUNT_FREE_TRIAL_MODE = 1664,
    TOGGLE_INVENTORY_ITEM_LOCK = 1665,
    REQUEST_MOVE_ITEM_BETWEEN_INVENTORY_TYPES = 1666,
    RESPONSE_MOVE_ITEM_BETWEEN_INVENTORY_TYPES = 1667,
    REMOVE_SUB_COMPONENT = 1668,
    TEAM_GET_LOOT_MEMBERS = 1669,
    GET_FACTION_TOKEN_TYPE = 1670,
    GET_SUBSCRIPTION_PRICING = 1671,
    INFORM_AFK = 1672,
    OVERHEAD_INDICATOR_CREATED = 1673,
    SET_OVERHEAD_INDICATOR_GRID_LOCATION = 1674,
    PLAYSTREAM_LOAD_PENDING = 1675,
    PLAYER_SET_CAMERA_CYCLING_MODE = 1676,
    PLAYER_GET_CAMERA_CYCLING_MODE = 1677,
    FORCE_CAMERA_TARGET_CYCLE = 1678,
    GET_OBJECT_CONFIG_DATA = 1679,
    GET_OBJECT_CONFIG_DATA_NON_CONST = 1680,
    SCOPE_CHANGED = 1681,
    SET_ALLOW_JUMP_WITHOUT_SUPPORT = 1682,
    GET_ALLOW_JUMP_WITHOUT_SUPPORT = 1683,
    SET_JUMP_HEIGHT_SCALE = 1684,
    GET_JUMP_HEIGHT_SCALE = 1685,
    SET_VELOCITY_RESISTANCE = 1686,
    GET_VELOCITY_RESISTANCE = 1687,
    GATE_RUSH_VEHICLE_HIT_GATE = 1688,
    GATE_RUSH_PLAYER_COLLECTED_GATE = 1689,
    GATE_RUSH_ADD_GATE = 1690,
    GATE_RUSH_REMOVE_GATE = 1691,
    NOTIFY_VEHICLE_UPDATED = 1692,
    VEHICLE_NOTIFY_HIT_WEAPON_POWERUP = 1693,
    VEHICLE_NOTIFY_HIT_WEAPON_POWERUP_SERVER = 1694,
    LOCAL_PLAYER_TARGETED = 1696,
    SKILL_COUNT_CHANGED = 1697,
    DO_YAW_ROTATION = 1698,
    DO_PITCH_ROTATION = 1699,
    DO_ROLL_ROTATION = 1700,
    GET_CURRENT_LOOT_MATRIX = 1701,
    SEND_MULTI_MISSION_OFFER_UPDATE_I_DS = 1702,
    SET_AIR_SPEED_VALUES = 1703,
    USE_LAUNCHER = 1704,
    START_LAUNCHER = 1705,
    STOP_LAUNCHER = 1706,
    CAN_USE_JET_PACK = 1707,
    JET_PACK_STATE_CHANGED = 1708,
    TURN_OFF_JET_PACK = 1709,
    ADD_PLAYER_JET_PACK_PAD = 1710,
    SET_JET_PACK_WARNING = 1711,
    JET_PACK_DISABLED = 1712,
    JET_PACK_PAD_ENTERED = 1713,
    UPDATE_RENDER_POSSESSION_FLAG = 1714,
    POSSESSABLE_GET_ATTACH_OFFSET = 1715,
    ATTEMPT_TO_CRAFT_ITEM = 1718,
    CRAFT_ATTEMPT_RESPONSE = 1719,
    SET_C_SCORE = 1720,
    FILL_IN_RENDERER = 1721,
    TOGGLE_CRAFTING_WINDOW = 1722,
    REMOVE_TEAM_BUFFS = 1724,
    REQUEST_FREE_TRIAL_STATUS_REFRESH = 1725,
    REMOVE_BUFFS_APPLIED_BY_OBJECT = 1726,
    SET_MOUNT_INVENTORY_ID = 1727,
    GET_MOUNT_INVENTORY_ID = 1728,
    GET_BUILD_CINEMATIC_TIME_REMAINING = 1730,
    JET_PACK_FLYING = 1731,
    NOTIFY_SERVER_LEVEL_PROCESSING_COMPLETE = 1734,
    NOTIFY_LEVEL_REWARDS = 1735,
    CHARACTER_VERSION_CHANGED = 1736,
    SET_FREE_TRIAL_RENAME_AVAILABLE = 1737,
    SET_PROJECTILE_LAUNCHER_PARAMS = 1738,
    RACE_PRECOUNTDOWN_DONE = 1739,
    CHECK_INVITE_SPAMMING = 1740,
    GET_RESPAWN_VOLUME_INFO = 1741,
    INVITE_ACCEPTED = 1742,
    TELEPORT_TO_NEAREST_RESPAWN = 1743,
    SET_SKILL_CANCEL_ON_MOVE = 1744,
    CANCEL_MOVE_SKILL = 1745,
    SERVER_CANCEL_MOVE_SKILL = 1746,
    CLIENT_CANCEL_MOVE_SKILL = 1747,
    END_LAUNCH_SEQUENCE = 1748,
    CANCEL_QUEUE = 1749,
    UPDATE_PROJECTILE_LAUNCHER_ROTATION = 1750,
    GET_CHARACTER_VERSION_INFO = 1751,
    GET_CON_INFO = 1753,
    GET_SKILLS_FOR_LOT = 1755,
    DISMOUNT_COMPLETE = 1756,
    MOUNT_FAILURE_RESPONSE = 1757,
    CLEAR_BILLBOARD_OFFSET = 1758,
    GET_INVENTORY_ITEM_ANIMATION_FLAG = 1759,
    SET_JET_PACK_ALLOWED = 1760,
    GET_BUILD_TIME_DETAILS = 1761,
    USE_SKILL_SET = 1762,
    SET_SKILL_SET_POSSESSOR = 1763,
    POPULATE_ACTION_BAR = 1764,
    GET_COMPONENT_TEMPLATE_ID = 1765,
    GET_POSSESSABLE_SKILL_SET = 1766,
    MARK_INVENTORY_ITEM_AS_ACTIVE = 1767,
    UPDATE_FORGED_ITEM = 1768,
    CAN_ITEMS_BE_REFORGED = 1769,
    NOTIFY_CLIENT_RAIL_START_FAILED = 1771,
    GET_IS_ON_RAIL = 1772
};

#endif  //!__EGAMEMESSAGETYPE__H__
